Subject: Re: [BEHAVE] updated rfc3489bis

From: Marc Petit-Huguenin <[email-masked]>
Date: Wed, 07 May 2008 14:04:35 -0700

I never received any answer to this questions.  I am especially
interested in an answer to the second question.

Thanks.

Marc Petit-Huguenin wrote:
> I just did a complete review of my code against rfc3489bis-15 and have
> some questions:
> 
> - Section 7.1 "All STUN requests and responses sent over UDP SHOULD be
> less than the path MTU":  Shouldn't indications be added to this list?
> 
> - Section 9:  Now that there will be a default port defines for STUN
> over TLS, shouldn't the last sentence of the last paragraph removed?
> 
> - Section 15.8:  Shouln't the section says that the text must be a UTF-8
> encoded sequence, like for USERNAME and REALM?
> 
> Thanks.
> 
> Jonathan Rosenberg wrote:
>> Just submitted:
>> http://www.ietf.org/internet-drafts/draft-ietf-behave-rfc3489bis-15.txt
>>
>> Changes based on recent comments:
>>
>> * MTU limit from MUST to SHOULD, with an explanation of why (namely, 
>> behavior discovery)
>>
>> * added clarification on MD5 being the 16 byte output and not ascii 
>> armored, also including an example. This was some text that was in 
>> 3489bis till -05 and got lost in the big rewrite to -06.
>>
>> * clarified that the MTU limit applies to the entire datagram and not 
>> just the STUN message
>>
>> -Jonathan R.
> 
> 

-- 
Marc Petit-Huguenin           [                                 ]
Home: [email-masked] [RFC1855-compliant space for rent ]
Work: [email-masked]            [                                 ]
[                                                               ]
_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave